Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 303665 Details for
Bug 444034
/sbin/ifcfg assumes ip, arping and rdisc are in $PATH
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
Call ip, arping, and rdisc with full paths
iproute2-2.6.23-path.patch (text/plain), 3.26 KB, created by
Ville Skyttä
on 2008-04-24 17:31:52 UTC
(
hide
)
Description:
Call ip, arping, and rdisc with full paths
Filename:
MIME Type:
Creator:
Ville Skyttä
Created:
2008-04-24 17:31:52 UTC
Size:
3.26 KB
patch
obsolete
>diff -up iproute2-2.6.23/ip/routel~ iproute2-2.6.23/ip/routel >--- iproute2-2.6.23/ip/routel~ 2007-10-17 00:27:42.000000000 +0300 >+++ iproute2-2.6.23/ip/routel 2008-04-24 20:22:50.000000000 +0300 >@@ -14,7 +14,7 @@ test "X-h" = "X$1" && echo "Usage: $0 [t > > test -z "$*" && set 0 > >-ip route list table "$@" | >+/sbin/ip route list table "$@" | > while read network rest > do set xx $rest > shift >diff -up iproute2-2.6.23/ip/ifcfg~ iproute2-2.6.23/ip/ifcfg >--- iproute2-2.6.23/ip/ifcfg~ 2007-10-17 00:27:42.000000000 +0300 >+++ iproute2-2.6.23/ip/ifcfg 2008-04-24 20:25:39.000000000 +0300 >@@ -15,7 +15,7 @@ CheckForwarding () { > } > > RestartRDISC () { >- killall -HUP rdisc || rdisc -fs >+ killall -HUP rdisc || /sbin/rdisc -fs > } > > ABCMaskLen () { >@@ -56,7 +56,7 @@ stop) > echo "Cannot stop alias $ldev" 1>&2 > exit 1; > fi >- ip -4 addr flush dev $dev $label || exit 1 >+ /sbin/ip -4 addr flush dev $dev $label || exit 1 > if [ $fwd -eq 0 ]; then RestartRDISC; fi > exit 0 ;; > del*) >@@ -102,45 +102,45 @@ if [ "$ldev" = "$dev" -a "$ipaddr" != "" > fi > > if [ $deleting -ne 0 ]; then >- ip addr del $pfx dev $dev $label || exit 1 >+ /sbin/ip addr del $pfx dev $dev $label || exit 1 > if [ $fwd -eq 0 ]; then RestartRDISC; fi > exit 0 > fi > > >-if ! ip link set up dev $dev ; then >+if ! /sbin/ip link set up dev $dev ; then > echo "Error: cannot enable interface $dev." 1>&2 > exit 1 > fi > if [ "$ipaddr" = "" ]; then exit 0; fi > >-if ! arping -q -c 2 -w 3 -D -I $dev $ipaddr ; then >+if ! /sbin/arping -q -c 2 -w 3 -D -I $dev $ipaddr ; then > echo "Error: some host already uses address $ipaddr on $dev." 1>&2 > exit 1 > fi > >-if ! ip address add $pfx brd + dev $dev $label; then >+if ! /sbin/ip address add $pfx brd + dev $dev $label; then > echo "Error: failed to add $pfx on $dev." 1>&2 > exit 1 > fi > >-arping -q -A -c 1 -I $dev $ipaddr >+/sbin/arping -q -A -c 1 -I $dev $ipaddr > noarp=$? > ( sleep 2 ; >- arping -q -U -c 1 -I $dev $ipaddr ) >& /dev/null </dev/null & >+ /sbin/arping -q -U -c 1 -I $dev $ipaddr ) >& /dev/null </dev/null & > >-ip route add unreachable 224.0.0.0/24 >& /dev/null >-ip route add unreachable 255.255.255.255 >& /dev/null >-if [ `ip link ls $dev | grep -c MULTICAST` -ge 1 ]; then >- ip route add 224.0.0.0/4 dev $dev scope global >& /dev/null >+/sbin/ip route add unreachable 224.0.0.0/24 >& /dev/null >+/sbin/ip route add unreachable 255.255.255.255 >& /dev/null >+if [ `/sbin/ip link ls $dev | grep -c MULTICAST` -ge 1 ]; then >+ /sbin/ip route add 224.0.0.0/4 dev $dev scope global >& /dev/null > fi > > if [ $fwd -eq 0 ]; then > if [ $noarp -eq 0 ]; then >- ip ro append default dev $dev metric 30000 scope global >+ /sbin/ip ro append default dev $dev metric 30000 scope global > elif [ "$peer" != "" ]; then > if ping -q -c 2 -w 4 $peer ; then >- ip ro append default via $peer dev $dev metric 30001 >+ /sbin/ip ro append default via $peer dev $dev metric 30001 > fi > fi > RestartRDISC >diff -up iproute2-2.6.23/ip/routef~ iproute2-2.6.23/ip/routef >--- iproute2-2.6.23/ip/routef~ 2007-10-17 00:27:42.000000000 +0300 >+++ iproute2-2.6.23/ip/routef 2008-04-24 20:23:20.000000000 +0300 >@@ -1,7 +1,7 @@ > #! /bin/sh > > if [ -z "$*" ] ; then >- exec ip -4 ro flush scope global type unicast >+ exec /sbin/ip -4 ro flush scope global type unicast > else > echo "Usage: routef" > echo
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 444034
: 303665